<html>
<head>
<title>Lotto</title>
<meta charset="utf-8" />
<script>

function make(resObj){
                for(var i=0; i < resObj.length; i++){
                	
                    d = document.createElement("div");
                    d.setAttribute("class", "dd");
                    d.setAttribute("id", "d"+resObj[i].ID);
                    d.style.marginTop = "20px";
                    d.innerHTML=resObj[i].data+"<br>"+resObj[i].wynik+"<br>";
                    w = document.createElement("button");
                    w.setAttribute("type","button");
                	w.setAttribute("value", resObj[i].ID);
                	w.innerHTML="Usuń";
                	
                	w.addEventListener("click", function(){
						var parent = document.getElementById("qq");
						var rem = document.getElementById(this.parentNode.id);
						parent.removeChild(rem);
						
                        var update = this.value;
                        jazda(2,update);
                    
                    })
                    d.appendChild(w);
                    document.getElementById("qq").appendChild(d);

                }
}
function jazda(f,idek){
	var xhttp = new XMLHttpRequest();
	xhttp.open("POST", "ajaxlotto.php", true);
	
	xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            
            var res = JSON.parse(this.responseText);
            
        	if(f==0){
                document.getElementById("qq").innerHTML="";
				make(res);

			}else if(f==1){
				//console.log(res);
				make(res);
				document.getElementById("setLos").style.display = "block";
				document.getElementById("newLos").innerHTML = res[0].wynik;
				
			}
       }
    };

	
	xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	//xhttp.setRequestHeader("Content-type", "application/json");
	xhttp.send("f="+f+"&ID="+idek);
}
window.onload= jazda(0,"a");
</script>
<style>
#setLos{
	display: none;
}
</style>
</head>
<body>
<center>
<button onclick="jazda(1,'a')">Losuj</button>
<h3 id="setLos">Wylosowano</h3>
<h3 id="newLos"></h3>
<h3>Wyniki</h3>

</center>
<center id="qq">


</center>
</body>
</html>
